Bug 1291906 - Unable to use docking station's ethernet adapter after connecting my running laptop to it
Unable to use docking station's ethernet adapter after connecting my running ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 15:50 EST by Randy Barlow
Modified: 2016-02-13 03:26 EST (History)
7 users (show)

See Also:
Fixed In Version: NetworkManager-1.0.10-2.fc23 NetworkManager-1.0.10-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 15:54:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.txt (6.95 KB, text/plain)
2015-12-16 11:59 EST, Randy Barlow
no flags Details

  None (edit)
Description Randy Barlow 2015-12-15 15:50:10 EST
Description of problem:
I often plug my laptop into its docking station after it's been running and suspended. When I do this, NetworkManager seems to be unaware of the docking station's ethernet interface and does not bring it up. The only workaround I have found is to reboot the laptop, in which case NetworkManager does see the device and uses it.

Please let me know how I can debug this further.

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-8.fc23.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Use laptop off docking station.
2. Suspend it (I'm not sure if this is optional, but it is my usual workflow.)
3. Plug the laptop into the docking station.
4. Turn the laptop back on.

Actual results:
NetworkManager does not bring up the docking station's interface.

Expected results:
NetworkManager should bring up the docking station's interface.

Additional info:
This is a Lenovo X1 Carbon. Strangely, lspci only shows two network controllers and I expected to see three (WiFi, on board ethernet, and docking station ethernet). Perhaps the Ethernet controller shown by lspci handles both the laptop's ethernet AND the docking station's?

$ lspci | grep Ethernet
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection (3) I218-LM (rev 03)
Comment 1 Dan Williams 2015-12-15 16:24:56 EST
When you plug into the dock, what does 'dmesg' say?

What is the output of 'ip link' before and after you plug in?

How about 'ethtool <eth ifname>' before and after?

Googling around seems to indicate that the dock's ethernet is actually a separate USB ethernet device, so I would expect to see 3 network interfaces.  NetworkManager can't do much for the 3rd one if the kernel doesn't recognize it (since it's invisible to NM too).
Comment 2 Jirka Klimes 2015-12-16 06:57:22 EST
The docking station (OneLink Pro) seems to use RTL8153 chipset, working with r8152 linux driver. But there are recent fixes to the driver:

https://patchwork.ozlabs.org/patch/468391/
https://lkml.org/lkml/2015/12/7/807
https://lkml.org/lkml/2015/9/6/226

So I would try several kernels, or even try compiling driver from RealTek:
https://bbs.archlinux.org/viewtopic.php?pid=1512109#p1512109
Comment 4 Randy Barlow 2015-12-16 11:59 EST
Created attachment 1106493 [details]
dmesg.txt

Hello Dan! Here is the dmesg from the docking station getting attached.
Comment 6 Randy Barlow 2015-12-16 13:41:23 EST
Here is ethtool before and after:

[rbarlow@ohm ~]$ ethtool enp0s20u3u1u3
Settings for enp0s20u3u1u3:
Cannot get device settings: No such device
Cannot get wake-on-lan settings: No such device
Cannot get message level: No such device
Cannot get link status: No such device
No data available
[rbarlow@ohm ~]$ ethtool enp0s20u3u1u3
Settings for enp0s20u3u1u3:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised pause frame use: Symmetric Receive-only
        Advertised auto-negotiation: Yes
        Link partner advertised link modes:  10baseT/Half 10baseT/Full 
                                             100baseT/Half 100baseT/Full 
                                             1000baseT/Full 
        Link partner advertised pause frame use: Symmetric
        Link partner advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 32
        Transceiver: internal
        Auto-negotiation: on
Cannot get wake-on-lan settings: Operation not permitted
        Current message level: 0x00007fff (32767)
                               drv probe link timer ifdown ifup rx_err tx_err tx_queued intr tx_done rx_status pktdata hw wol
        Link detected: yes
Comment 9 Randy Barlow 2015-12-16 13:44:44 EST
Jirka, I may attempt another kernel soon when I get some time to figure out how to do that with F23. I've also been considering upgrading this laptop to Rawhide, which may make testing that easier if I decide to go that route.
Comment 10 Dan Williams 2015-12-16 14:30:33 EST
Ok, so the kernel does see the new ethernet device: enp0s20u3u1u3.  Can you:

1) start un-docked
2) run 'nmcli g log level debug'
3) verify no enp0s20u3u1u3 exists
4) dock the laptop
5) wait about 15 seconds or so
6) grab 'journalctl -b -u NetworkManager' and attach the output from before the dock (using the timestamps to snip it, perhaps)
Comment 12 Beniamino Galvani 2015-12-21 04:11:19 EST
Hi,

in the logs I see that the device is recognized by NM but a new
default connection is not created. This probably is already fixed in
recent NM versions by commit:

http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?h=nm-1-0&id=80d4fbf4ace3d8ed4428e17b0920ec32bdaf4fe1

which is available on master and in 1.0.8. Randy, can you please try
to upgrade NM to the 1.0.8 package from Fedora updates-testing repository
and see if it solves the problem?
Comment 13 Randy Barlow 2015-12-21 14:49:10 EST
Hello Beniamino,

Thanks so much for pointing me to that update, as it does resolve this issue. I don't see how I can link this issue to the bodhi update, but I'm happy to mark it as resolved by NetworkManager-1.0.8-1.fc23.x86_64:

https://bodhi.fedoraproject.org/updates/FEDORA-2015-2ae867c402
Comment 14 Fedora Update System 2015-12-23 10:12:01 EST
NetworkManager-1.0.8-1.fc22 NetworkManager-fortisslvpn-1.0.8-1.fc22 NetworkManager-openconnect-1.0.8-1.fc22 NetworkManager-openswan-1.0.8-1.fc22 NetworkManager-openvpn-1.0.8-1.fc22 NetworkManager-vpnc-1.0.8-1.fc22 network-manager-applet-1.0.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-efc06edc85
Comment 15 Fedora Update System 2015-12-23 10:12:11 EST
NetworkManager-1.0.10-1.fc23 NetworkManager-fortisslvpn-1.0.8-1.fc23 NetworkManager-openconnect-1.0.8-1.fc23 NetworkManager-openswan-1.0.8-1.fc23 NetworkManager-openvpn-1.0.8-1.fc23 NetworkManager-vpnc-1.0.8-1.fc23 network-manager-applet-1.0.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2ae867c402
Comment 16 Fedora Update System 2015-12-24 20:59:13 EST
NetworkManager-1.0.10-1.fc23, NetworkManager-fortisslvpn-1.0.8-1.fc23, NetworkManager-openconnect-1.0.8-1.fc23, NetworkManager-openswan-1.0.8-1.fc23, NetworkManager-openvpn-1.0.8-1.fc23, NetworkManager-vpnc-1.0.8-1.fc23, network-manager-applet-1.0.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2ae867c402
Comment 17 Fedora Update System 2015-12-30 15:58:18 EST
NetworkManager-1.0.10-1.fc22, NetworkManager-fortisslvpn-1.0.8-1.fc22, NetworkManager-openconnect-1.0.8-1.fc22, NetworkManager-openswan-1.0.8-1.fc22, NetworkManager-openvpn-1.0.8-1.fc22, NetworkManager-vpnc-1.0.8-1.fc22, network-manager-applet-1.0.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-efc06edc85
Comment 18 Fedora Update System 2016-01-05 09:07:03 EST
NetworkManager-1.0.10-2.fc23 NetworkManager-fortisslvpn-1.0.8-1.fc23 NetworkManager-openconnect-1.0.8-1.fc23 NetworkManager-openswan-1.0.8-1.fc23 NetworkManager-openvpn-1.0.8-1.fc23 NetworkManager-vpnc-1.0.8-1.fc23 network-manager-applet-1.0.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2ae867c402
Comment 19 Fedora Update System 2016-01-05 09:16:46 EST
NetworkManager-1.0.10-2.fc22 NetworkManager-fortisslvpn-1.0.8-1.fc22 NetworkManager-openconnect-1.0.8-1.fc22 NetworkManager-openswan-1.0.8-1.fc22 NetworkManager-openvpn-1.0.8-1.fc22 NetworkManager-vpnc-1.0.8-1.fc22 network-manager-applet-1.0.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-efc06edc85
Comment 20 Fedora Update System 2016-01-05 19:25:54 EST
NetworkManager-1.0.10-2.fc22, NetworkManager-fortisslvpn-1.0.8-1.fc22, NetworkManager-openconnect-1.0.8-1.fc22, NetworkManager-openswan-1.0.8-1.fc22, NetworkManager-openvpn-1.0.8-1.fc22, NetworkManager-vpnc-1.0.8-1.fc22, network-manager-applet-1.0.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-efc06edc85
Comment 21 Fedora Update System 2016-01-05 19:30:47 EST
NetworkManager-1.0.10-2.fc23, NetworkManager-fortisslvpn-1.0.8-1.fc23, NetworkManager-openconnect-1.0.8-1.fc23, NetworkManager-openswan-1.0.8-1.fc23, NetworkManager-openvpn-1.0.8-1.fc23, NetworkManager-vpnc-1.0.8-1.fc23, network-manager-applet-1.0.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2ae867c402
Comment 22 Fedora Update System 2016-01-08 15:54:20 EST
NetworkManager-1.0.10-2.fc23, NetworkManager-fortisslvpn-1.0.8-1.fc23, NetworkManager-openconnect-1.0.8-1.fc23, NetworkManager-openswan-1.0.8-1.fc23, NetworkManager-openvpn-1.0.8-1.fc23, NetworkManager-vpnc-1.0.8-1.fc23, network-manager-applet-1.0.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-01-20 23:49:40 EST
NetworkManager-1.0.10-2.fc22, NetworkManager-fortisslvpn-1.0.8-1.fc22, NetworkManager-openconnect-1.0.8-1.fc22, NetworkManager-openswan-1.0.8-1.fc22, NetworkManager-openvpn-1.0.8-1.fc22, NetworkManager-vpnc-1.0.8-1.fc22, network-manager-applet-1.0.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.